Bug 216560 - kernel 2.6.18 update makes X unusably slow
kernel 2.6.18 update makes X unusably slow
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 21:06 EST by Eric Smith
Modified: 2008-05-06 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:53:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log w/ 2.6.15 kernel (works OK) (55.52 KB, text/plain)
2006-12-01 12:51 EST, Eric Smith
no flags Details
Xorg log w/ 2.6.18 kernel (very sssslllloooowwww) (54.89 KB, text/plain)
2006-12-01 12:52 EST, Eric Smith
no flags Details
X.org configuration (596 bytes, text/plain)
2006-12-01 12:56 EST, Eric Smith
no flags Details

  None (edit)
Description Eric Smith 2006-11-20 21:06:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
FC5 x86_64 system with Athlon 64 X2 4800+ CPU and ATI 9550 card (RV350) was working fine with X and Gnome, using the originally installed 2.6.16 kernel.  After an upgrade to any of the 2.6.18 kernels, X sessions are unbearably slow.  The gdm login screen takes about 15 seconds longer to come up than it did before, and after logging in, all new windows take 15 seconds to several minutes to appear.  Even pressing "caps lock" on the keyboard takes that long before the LED on the keyboard toggles.  And switching back to a text VT takes that long as well.

Booting into the original 2.6.16 kernel results in things working fine.

I think the 2.6.17 kernel updates may have had this problem too, but I can't verify it because the older updates have been deleted from the download server.  :-(

I thought perhaps an upgrade to FC6 might solve the problem, because the X server works fine during the FC6 installation, but during the "firstboot" and thereafter the slowness occurs just as in FC5.  I forced an installation of an FC5 2.6.16 kernel, and if I boot FC6 with the FC5 2.6.16 kernel, X works fine.  (Other things break, so it isn't a viable solution.)

Version-Release number of selected component (if applicable):
any 2.6.18 update

How reproducible:
Always


Steps to Reproduce:
1.  Install FC5 64-bit on Athlon 64 X2 4800+ system w/ ATI 9550 card. works fine.
2.  Upgrade kernel using yum


Actual Results:
X is unbearably slow

Expected Results:
X should be unchanged as compared to use with original 2.6.16 kernel

Additional info:
Comment 1 Dave Jones 2006-11-24 16:12:57 EST
can you attach your /var/log/Xorg.0.log  ?
Comment 2 Eric Smith 2006-12-01 12:51:34 EST
Created attachment 142589 [details]
Xorg log w/ 2.6.15 kernel (works OK)
Comment 3 Eric Smith 2006-12-01 12:52:45 EST
Created attachment 142591 [details]
Xorg log w/ 2.6.18 kernel (very sssslllloooowwww)
Comment 4 Eric Smith 2006-12-01 12:54:56 EST
Looks like the problem may be DRI.  I tried adding a line
Option "NoDRI" "true"
to the device section of my /etc/X11/xorg.conf, but it didn't do anything, as
others have reported in bug 207614.
Comment 5 Eric Smith 2006-12-01 12:56:23 EST
Created attachment 142592 [details]
X.org configuration
Comment 6 Eric Smith 2007-10-11 19:21:49 EDT
Problem still exists with the DRI module in kernel 2.6.22.9-91.fc7.  If I remove
the DRI modules, X behaves fine, but if I leave them installed, the X server
tends to hang partway through drawing the GDM login screen, or the Gnome desktop
if I don't use GDM.

When I first reported this bug, it seemed that the X server would occassionally
(after long intervals) start working again, then freeze again.  Nowdays I don't
have enough patience to see whether it eventually resumes.
Comment 7 Bug Zapper 2008-04-04 00:49:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 12:53:29 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.